Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.ajax
Class AjaxResponseHandler

    java.lang.Object
      org.jboss.portal.core.controller.ajax.AjaxResponseHandler

All Implemented Interfaces:
  ResponseHandler

    public class AjaxResponseHandler

extends java.lang.Object
implements ResponseHandler

todo:

1/ interpret more responses types

Version:
  $Revision: 11068 $
Author:
  Julien Viet

Constructor Summary
`AjaxResponseHandler()`

Method Summary
`PageService` | `getPageService()`
`PortalObjectContainer` | `getPortalObjectContainer()`
`HandlerResponse` | `processCommandResponse(ControllerContext controllerContext, ControllerCommand commeand, ControllerResponse controllerResponse)` Process the command response and provides an handler response.
`void` | `setPageService(PageService pageService)`
`void` | `setPortalObjectContainer(PortalObjectContainer portalObjectContainer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxResponseHandler

    public AjaxResponseHandler()

Method Detail

### getPortalObjectContainer

    public PortalObjectContainer getPortalObjectContainer()

### setPortalObjectContainer

    public void setPortalObjectContainer(PortalObjectContainer portalObjectContainer)

### getPageService

    public PageService getPageService()

### setPageService

    public void setPageService(PageService pageService)

### processCommandResponse

    public HandlerResponse processCommandResponse(ControllerContext controllerContext,
                                                  ControllerCommand commeand,
                                                  ControllerResponse controllerResponse)
                                           throws ResponseHandlerException

  Description copied from interface: `ResponseHandler`
  Process the command response and provides an handler response.

  Specified by:
    `processCommandResponse` in interface `ResponseHandler`
  Parameters:
    `controllerContext` - the controller context
    `commeand` - the controller command
    `controllerResponse` - the controller response
  Returns:
    the handler response
  Throws:
    `ResponseHandlerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD